#
# gaim_major_ver and gaim_minor_ver should be defined to match the minimum
# Gaim API version _required_ to build slashexec
# Due to the way Gaim checks plugin versions, we need to also ensure that
# the correct minimum version of Gaim is Require:'d based on what version of
# the Gaim headers we actually build with.
#

%define gaim_major_ver 1
%define gaim_minor_ver 0
%define gaim_next_major_ver %(echo $((%{gaim_major_ver}+1)))
%define gaim_build_minor_ver %(pkg-config --modversion gaim | awk -F. '{ print $2 }')

Name:       gaim-slashexec
Version:    1.0
Release:    0%{?gaimdist:.%{gaimdist}}
Summary:    A CLI plugin for Gaim
Group:      Applications/Internet
License:    GPL
Url:        http://guifications.sourceforge.net/SlashExec/
Source0:    http://prdownloads.sourceforge.net/guifications/slashexec-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

Requires:   gaim >= 1:%{gaim_major_ver}.%{gaim_build_minor_ver}, gaim < 1:%{gaim_next_major_ver}

BuildRequires: pkgconfig, libtool
BuildRequires: gaim-devel >= 1:%{gaim_major_ver}.%{gaim_minor_ver}, gaim-devel < 1:%{gaim_next_major_ver}

%description
SlashExec is a /exec command plugin for Gaim, that provides a command line interpreter, mimicking the behavior of xchat/epic/irssi

To rebuild for a specific Gaim version:
rpmbuild --rebuild gaim-slashexec-1.0-%{release}.src.rpm --define 'gaimdist %{!?gaimdist:fc1}%{?gaimdist:%{gaimdist}}'

%prep
%setup -q -n slashexec-1.0

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

%if "%{_vendor}" == "MandrakeSoft"
mv -f $RPM_BUILD_ROOT%{_libdir}/gaim/se $RPM_BUILD_ROOT%{_libdir}/gaim/se.so || :
%endif

strip $RPM_BUILD_ROOT%{_libdir}/gaim/*.so || :
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/*.la $RPM_BUILD_ROOT%{_libdir}/gaim/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/gaim/*.so

%changelog
* Sun Jul 21 2005 Peter Lawler <bleeter from users.sf.net>
- Nitpicking before testing
* Sat Jul 20 2005 Gary Kramlich <grim@reaperworld.com>
- copied and tweaked from Guifications
